Iris Online

Informations

Créateur Messages
sedy Anonymous

Information

Cet installateur a été accepté par l'équipe.

Informations

Plate-formes :
Téléchargements : 3033
Wine: 3.0.3

Retours d'expérience

Description

Gypsy-themed fantasy MMORPG Free-to-play, developed by Eyasoft. 3 playable races with many different classes. Website. Fandom wiki.

 

Known issues (2016):

  • The launcher/patcher does not show some of the HTML content whilst downloading and patching the game.
  • The game uses Awesomium webcore to display ingame web content like who is online, rankings, topup and minigames and whilst the content is loaded, it is not currently displayed correctly, it's hidden behind a UI panel. Developer is looking into a fix or it could possibly be fixed with a winetrick. Still testing.

Captures d'écran

MiniatureMiniatureMiniature

Code source

#!/bin/bash
# Date : (2016-03-15)
# Last revision : see changelog.
# Wine version used :
# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3, ubuntu mate 15.10
# Author : Sedy, lahtis
# License : GNU/GPL v3
#
# CHANGELOG
# [Sedy] (2016-03-15)
#   Initial script.
# [Sedy] (2016-03-17)
#   Minor change to ordering so that web page with download links is opened before the message saying where to download it from.
# [lahtis] (2016-03-30)
#   This installer does works in any language.
#   Code improvements.
#   Better POL_Browser selector.
# [Dadu042] (2020-01-27 23:30)
#   Wine 1.9.4 -> 3.0.3


[ -z "$PLAYONLINUX" ] && exit 0 
source "$PLAYONLINUX/lib/sources"
      
TITLE="NoScrubs Iris Online"
PREFIX="Noscrubs"
EDITOR="Noscrubs"
GAME_URL="http://noscrubs.net"
AUTHOR="Sedy, Lahtis"
WORKING_WINE_VERSION="3.0.3"
      
# Starting the script
POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
  
POL_SetupWindow_Init
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Fix pulseaudio issue
which pulseaudio && Set_OS "winxp"
 
# Do you have downloaded the program file?
# Choose XP file.
POL_SetupWindow_question "$(eval_gettext 'Do you have downloaded the program file?')" "$TITLE"
if [ "$APP_ANSWER" = "FALSE" ]
then
        POL_Browser "http://noscrubs.net/iris/download-game"
fi
 
cd "$HOME" || exit
POL_SetupWindow_browse "$(eval_gettext 'Please select the downloaded program file.')" "$TITLE"
 
POL_Wine "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"
 
# Making shortcut
POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
  
POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
POL_SetupWindow_Close
  
exit 0

Contributions

Filters:

Contribuer
Membre Messages
Dadu042 Jeudi 2 Avril 2020 à 19:05
Dadu042

Information

Cette mise à jour a été acceptée par l'équipe

Messages

Ooops.

Differences

@@ -27,7 +27,7 @@
 EDITOR="Noscrubs"
 GAME_URL="http://noscrubs.net"
 AUTHOR="Sedy, Lahtis"
-WORKING_WINE_VERSION="1.9.4"
+WORKING_WINE_VERSION="3.0.3"
       
 # Starting the script
 POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"

Nouveau code source

#!/bin/bash
# Date : (2016-03-15)
# Last revision : see changelog.
# Wine version used :
# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3, ubuntu mate 15.10
# Author : Sedy, lahtis
# License : GNU/GPL v3
#
# CHANGELOG
# [Sedy] (2016-03-15)
#   Initial script.
# [Sedy] (2016-03-17)
#   Minor change to ordering so that web page with download links is opened before the message saying where to download it from.
# [lahtis] (2016-03-30)
#   This installer does works in any language.
#   Code improvements.
#   Better POL_Browser selector.
# [Dadu042] (2020-01-27 23:30)
#   Wine 1.9.4 -> 3.0.3


[ -z "$PLAYONLINUX" ] && exit 0 
source "$PLAYONLINUX/lib/sources"
      
TITLE="NoScrubs Iris Online"
PREFIX="Noscrubs"
EDITOR="Noscrubs"
GAME_URL="http://noscrubs.net"
AUTHOR="Sedy, Lahtis"
WORKING_WINE_VERSION="3.0.3"
      
# Starting the script
POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
  
POL_SetupWindow_Init
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Fix pulseaudio issue
which pulseaudio && Set_OS "winxp"
 
# Do you have downloaded the program file?
# Choose XP file.
POL_SetupWindow_question "$(eval_gettext 'Do you have downloaded the program file?')" "$TITLE"
if [ "$APP_ANSWER" = "FALSE" ]
then
        POL_Browser "http://noscrubs.net/iris/download-game"
fi
 
cd "$HOME" || exit
POL_SetupWindow_browse "$(eval_gettext 'Please select the downloaded program file.')" "$TITLE"
 
POL_Wine "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"
 
# Making shortcut
POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
  
POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
POL_SetupWindow_Close
  
exit 0

Réponses

Dadu042 Mardi 28 Janvier 2020 à 20:16
Dadu042

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Differences

@@ -1,56 +1,69 @@
 #!/bin/bash
 # Date : (2016-03-15)
-# Last revision : (2016-03-30)
-# Wine version used : 1.9.4
+# Last revision : see changelog.
+# Wine version used :
 # Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3, ubuntu mate 15.10
 # Author : Sedy, lahtis
 # License : GNU/GPL v3
-     
+#
+# CHANGELOG
+# [Sedy] (2016-03-15)
+#   Initial script.
+# [Sedy] (2016-03-17)
+#   Minor change to ordering so that web page with download links is opened before the message saying where to download it from.
+# [lahtis] (2016-03-30)
+#   This installer does works in any language.
+#   Code improvements.
+#   Better POL_Browser selector.
+# [Dadu042] (2020-01-27 23:30)
+#   Wine 1.9.4 -> 3.0.3
+
+
 [ -z "$PLAYONLINUX" ] && exit 0 
 source "$PLAYONLINUX/lib/sources"
-     
+      
 TITLE="NoScrubs Iris Online"
 PREFIX="Noscrubs"
 EDITOR="Noscrubs"
 GAME_URL="http://noscrubs.net"
 AUTHOR="Sedy, Lahtis"
-WORKING_WINE_VERSION="1.9.4" 
-     
+WORKING_WINE_VERSION="1.9.4"
+      
 # Starting the script
 POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
- 
+  
 POL_SetupWindow_Init
 POL_Debug_Init
 POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
-
+ 
 # Setting prefix path
 POL_Wine_SelectPrefix "$PREFIX"
-     
+      
 # Downloading wine if necessary and creating prefix
 POL_System_SetArch "x86"
-POL_Wine_PrefixCreate "$WORKING_WINE_VERSION" 
-
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+ 
 # Fix pulseaudio issue
 which pulseaudio && Set_OS "winxp"
-
+ 
 # Do you have downloaded the program file?
 # Choose XP file.
 POL_SetupWindow_question "$(eval_gettext 'Do you have downloaded the program file?')" "$TITLE"
 if [ "$APP_ANSWER" = "FALSE" ]
 then
-	POL_Browser "http://noscrubs.net/iris/download-game"
+        POL_Browser "http://noscrubs.net/iris/download-game"
 fi
-
+ 
 cd "$HOME" || exit
 POL_SetupWindow_browse "$(eval_gettext 'Please select the downloaded program file.')" "$TITLE"
-
+ 
 POL_Wine "$APP_ANSWER"
 POL_Wine_WaitExit "$TITLE"
-
+ 
 # Making shortcut
 POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
- 
+  
 POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
 POL_SetupWindow_Close
- 
-exit 0
+  
+exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2016-03-15)
# Last revision : see changelog.
# Wine version used :
# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3, ubuntu mate 15.10
# Author : Sedy, lahtis
# License : GNU/GPL v3
#
# CHANGELOG
# [Sedy] (2016-03-15)
#   Initial script.
# [Sedy] (2016-03-17)
#   Minor change to ordering so that web page with download links is opened before the message saying where to download it from.
# [lahtis] (2016-03-30)
#   This installer does works in any language.
#   Code improvements.
#   Better POL_Browser selector.
# [Dadu042] (2020-01-27 23:30)
#   Wine 1.9.4 -> 3.0.3


[ -z "$PLAYONLINUX" ] && exit 0 
source "$PLAYONLINUX/lib/sources"
      
TITLE="NoScrubs Iris Online"
PREFIX="Noscrubs"
EDITOR="Noscrubs"
GAME_URL="http://noscrubs.net"
AUTHOR="Sedy, Lahtis"
WORKING_WINE_VERSION="1.9.4"
      
# Starting the script
POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
  
POL_SetupWindow_Init
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
# Fix pulseaudio issue
which pulseaudio && Set_OS "winxp"
 
# Do you have downloaded the program file?
# Choose XP file.
POL_SetupWindow_question "$(eval_gettext 'Do you have downloaded the program file?')" "$TITLE"
if [ "$APP_ANSWER" = "FALSE" ]
then
        POL_Browser "http://noscrubs.net/iris/download-game"
fi
 
cd "$HOME" || exit
POL_SetupWindow_browse "$(eval_gettext 'Please select the downloaded program file.')" "$TITLE"
 
POL_Wine "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"
 
# Making shortcut
POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
  
POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
POL_SetupWindow_Close
  
exit 0

Réponses

lahtis Mercredi 30 Mars 2016 à 2:00
lahtis

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

  • This installer working in any language.
  • Code improvements
  • Better POL_Browser selector

:D

Differences

@@ -0,0 +1,56 @@
+#!/bin/bash
+# Date : (2016-03-15)
+# Last revision : (2016-03-30)
+# Wine version used : 1.9.4
+# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3, ubuntu mate 15.10
+# Author : Sedy, lahtis
+# License : GNU/GPL v3
+     
+[ -z "$PLAYONLINUX" ] && exit 0 
+source "$PLAYONLINUX/lib/sources"
+     
+TITLE="NoScrubs Iris Online"
+PREFIX="Noscrubs"
+EDITOR="Noscrubs"
+GAME_URL="http://noscrubs.net"
+AUTHOR="Sedy, Lahtis"
+WORKING_WINE_VERSION="1.9.4" 
+     
+# Starting the script
+POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
+ 
+POL_SetupWindow_Init
+POL_Debug_Init
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+     
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION" 
+
+# Fix pulseaudio issue
+which pulseaudio && Set_OS "winxp"
+
+# Do you have downloaded the program file?
+# Choose XP file.
+POL_SetupWindow_question "$(eval_gettext 'Do you have downloaded the program file?')" "$TITLE"
+if [ "$APP_ANSWER" = "FALSE" ]
+then
+	POL_Browser "http://noscrubs.net/iris/download-game"
+fi
+
+cd "$HOME" || exit
+POL_SetupWindow_browse "$(eval_gettext 'Please select the downloaded program file.')" "$TITLE"
+
+POL_Wine "$APP_ANSWER"
+POL_Wine_WaitExit "$TITLE"
+
+# Making shortcut
+POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
+ 
+POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
+POL_SetupWindow_Close
+ 
+exit 0

Nouveau code source

#!/bin/bash
# Date : (2016-03-15)
# Last revision : (2016-03-30)
# Wine version used : 1.9.4
# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3, ubuntu mate 15.10
# Author : Sedy, lahtis
# License : GNU/GPL v3
     
[ -z "$PLAYONLINUX" ] && exit 0 
source "$PLAYONLINUX/lib/sources"
     
TITLE="NoScrubs Iris Online"
PREFIX="Noscrubs"
EDITOR="Noscrubs"
GAME_URL="http://noscrubs.net"
AUTHOR="Sedy, Lahtis"
WORKING_WINE_VERSION="1.9.4" 
     
# Starting the script
POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
 
POL_SetupWindow_Init
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION" 

# Fix pulseaudio issue
which pulseaudio && Set_OS "winxp"

# Do you have downloaded the program file?
# Choose XP file.
POL_SetupWindow_question "$(eval_gettext 'Do you have downloaded the program file?')" "$TITLE"
if [ "$APP_ANSWER" = "FALSE" ]
then
        POL_Browser "http://noscrubs.net/iris/download-game"
fi

cd "$HOME" || exit
POL_SetupWindow_browse "$(eval_gettext 'Please select the downloaded program file.')" "$TITLE"

POL_Wine "$APP_ANSWER"
POL_Wine_WaitExit "$TITLE"

# Making shortcut
POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
 
POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
POL_SetupWindow_Close
 
exit 0

Réponses

Anonymous
Dimanche 1 Mai 2016 à 4:06
Thanks lahtis :)
Vendredi 2 Aoüt 2019 à 21:50
Approved.
sedy Jeudi 17 Mars 2016 à 18:31
sedy Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

Minor change to ordering so that web page with download links is opened before the message saying where to download it from.

Differences

@@ -0,0 +1,63 @@
+#!/bin/bash
+# Date : (2016-03-15)
+# Last revision : (2016-03-15)
+# Wine version used : 1.9.4
+# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3
+# Author : Sedy
+# License : GNU/GPL v3
+     
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+     
+TITLE="NoScrubs Iris Online"
+PREFIX="Noscrubs"
+EDITOR="Noscrubs"
+GAME_URL="http://noscrubs.net"
+AUTHOR="Sedy"
+ 
+     
+# Starting the script
+POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
+ 
+POL_SetupWindow_Init
+     
+# Starting debugging API
+POL_Debug_Init
+     
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+ 
+[ "$POL_LANG" = "en" ] && link="http://noscrubs.net/iris/download-game"
+ 
+     
+# Setting Wine Version
+WORKING_WINE_VERSION="1.9.4"
+     
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+     
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+  
+Set_OS "winxp"
+     
+if [ "$POL_SELECTED_FILE" = "" ]
+then
+POL_Browser "$link"
+POL_SetupWindow_message "The $TITLE setup file is needed to continue....\n\nDownload it from here:\n\n$link" "$TITLE"
+POL_SetupWindow_browse "Where is the installation file of $TITLE?" "$TITLE"
+CHEMIN="$APP_ANSWER"
+else
+CHEMIN="$POL_SELECTED_FILE"
+fi
+POL_SetupWindow_wait "Installing $TITLE" "$TITLE"
+ 
+POL_Wine "$CHEMIN"
+POL_Wine_WaitExit "$TITLE" --allow-kill
+ 
+# Making shortcut
+POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
+ 
+POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
+POL_SetupWindow_Close
+exit
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2016-03-15)
# Last revision : (2016-03-15)
# Wine version used : 1.9.4
# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3
# Author : Sedy
# License : GNU/GPL v3
     
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
     
TITLE="NoScrubs Iris Online"
PREFIX="Noscrubs"
EDITOR="Noscrubs"
GAME_URL="http://noscrubs.net"
AUTHOR="Sedy"
 
     
# Starting the script
POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
 
POL_SetupWindow_Init
     
# Starting debugging API
POL_Debug_Init
     
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
[ "$POL_LANG" = "en" ] && link="http://noscrubs.net/iris/download-game"
 
     
# Setting Wine Version
WORKING_WINE_VERSION="1.9.4"
     
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
  
Set_OS "winxp"
     
if [ "$POL_SELECTED_FILE" = "" ]
then
POL_Browser "$link"
POL_SetupWindow_message "The $TITLE setup file is needed to continue....\n\nDownload it from here:\n\n$link" "$TITLE"
POL_SetupWindow_browse "Where is the installation file of $TITLE?" "$TITLE"
CHEMIN="$APP_ANSWER"
else
CHEMIN="$POL_SELECTED_FILE"
fi
POL_SetupWindow_wait "Installing $TITLE" "$TITLE"
 
POL_Wine "$CHEMIN"
POL_Wine_WaitExit "$TITLE" --allow-kill
 
# Making shortcut
POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
 
POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
POL_SetupWindow_Close
exit

Réponses

sedy Mercredi 16 Mars 2016 à 4:40
sedy Anonymous

Messages

Screenshots

Réponses

Vendredi 2 Aoüt 2019 à 21:51
Pictures attached.
sedy Mercredi 16 Mars 2016 à 4:13
sedy Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

Tested and working on Mac OS X El Capitan 10.11.1 and Linux Mint 17.3

Differences

@@ -0,0 +1,63 @@
+#!/bin/bash
+# Date : (2016-03-15)
+# Last revision : (2016-03-15)
+# Wine version used : 1.9.4
+# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3
+# Author : Sedy
+# License : GNU/GPL v3
+    
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="NoScrubs Iris Online"
+PREFIX="Noscrubs"
+EDITOR="Noscrubs"
+GAME_URL="http://noscrubs.net"
+AUTHOR="Sedy"
+
+    
+# Starting the script
+POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"
+
+POL_SetupWindow_Init
+    
+# Starting debugging API
+POL_Debug_Init
+    
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+
+[ "$POL_LANG" = "en" ] && link="http://noscrubs.net/iris/download-game"
+
+    
+# Setting Wine Version
+WORKING_WINE_VERSION="1.9.4"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+    
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+ 
+Set_OS "winxp"
+    
+if [ "$POL_SELECTED_FILE" = "" ]
+then
+POL_SetupWindow_message "The $TITLE setup file is needed to continue....\n\nDownload it from here:\n\n$link" "$TITLE"
+POL_Browser "$link"
+POL_SetupWindow_browse "Where is the installation file of $TITLE?" "$TITLE"
+CHEMIN="$APP_ANSWER"
+else
+CHEMIN="$POL_SELECTED_FILE"
+fi
+POL_SetupWindow_wait "Installing $TITLE" "$TITLE"
+
+POL_Wine "$CHEMIN"
+POL_Wine_WaitExit "$TITLE" --allow-kill
+
+# Making shortcut
+POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"
+
+POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
+POL_SetupWindow_Close
+exit
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2016-03-15)
# Last revision : (2016-03-15)
# Wine version used : 1.9.4
# Distribution used to test : Mac OS X El Capitan 10.11.1, Linux Mint Rosa 17.3
# Author : Sedy
# License : GNU/GPL v3
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="NoScrubs Iris Online"
PREFIX="Noscrubs"
EDITOR="Noscrubs"
GAME_URL="http://noscrubs.net"
AUTHOR="Sedy"

    
# Starting the script
POL_GetSetupImages "http://noscrubs.net/downloads/top.jpg" "http://noscrubs.net/downloads/left.jpg" "$TITLE"

POL_SetupWindow_Init
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

[ "$POL_LANG" = "en" ] && link="http://noscrubs.net/iris/download-game"

    
# Setting Wine Version
WORKING_WINE_VERSION="1.9.4"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
Set_OS "winxp"
    
if [ "$POL_SELECTED_FILE" = "" ]
then
POL_SetupWindow_message "The $TITLE setup file is needed to continue....\n\nDownload it from here:\n\n$link" "$TITLE"
POL_Browser "$link"
POL_SetupWindow_browse "Where is the installation file of $TITLE?" "$TITLE"
CHEMIN="$APP_ANSWER"
else
CHEMIN="$POL_SELECTED_FILE"
fi
POL_SetupWindow_wait "Installing $TITLE" "$TITLE"

POL_Wine "$CHEMIN"
POL_Wine_WaitExit "$TITLE" --allow-kill

# Making shortcut
POL_Shortcut "IrisLauncher.exe" "$TITLE" "$TITLE.png" "" "Game;"

POL_SetupWindow_message "$TITLE has been successfully installed" "$TITLE"
POL_SetupWindow_Close
exit

Réponses

Mercredi 30 Mars 2016 à 1:23
installer is not working in others language. remove $POL_LANG and make better POL_Browser selector.